package cat.hack3.codingtests.marsrover;

import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

import static cat.hack3.codingtests.marsrover.MarsMap.Direction.SOUTH;

public class MarsRoverTest {

    private MarsMap marsMap;
    private MarsRover rover;

    @BeforeMethod
    public void setUp() {
        int mapWidth = 10;
        int mapHeight = 10;
        marsMap = new MarsMap(mapWidth, mapHeight);

        int latitudeStartingPoint = 2;
        int longitudeStartingPoint = 3;
        rover = new MarsRover(marsMap, latitudeStartingPoint, longitudeStartingPoint, SOUTH);
    }

    @Test
    public void roverMakeItsFirstStep() {
        rover.moveForward();
    }
}
